REST reference
Series
Ta strona jest po angielsku
Polskie tłumaczenie obejmuje sekcje Instalacja i utrzymanie i Korzystanie z AlgoJudge. Pozostałe sekcje są materiałem technicznym i pozostają po angielsku.
POST
/series/{seriesId}/problemsPath Parameters
seriesId*string
Format
uuidTypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X POST "https://example.com/series/497f6eca-6276-4993-bfeb-53cbbbba6f08/problems" \ -H "Content-Type: application/json" \ -d '{ "problemId": "string", "slug": "string" }'{ "id": "string", "activityId": "string", "slug": "string", "name": "string", "order": 0, "startDate": "string", "endDate": "string", "isOpen": true, "pausedAt": "string", "hideProblemsWhilePaused": true, "revealProblemCount": true, "rankingFreezeAt": "string", "rankingRevealAt": "string", "rankingVisibleFrom": "string", "rankingVisibleTo": "string", "importance": 0, "importanceScope": "string", "addressRules": [ { "network": "string", "note": "string" } ], "restrictionsEnabled": true, "runnerTags": [ "string" ], "matchingRunners": 0, "problems": [ { "id": "string", "seriesId": "string", "problemId": "string", "problemSlug": "string", "problemName": "string", "slug": "string", "name": "string", "order": 0, "pinnedProblemVersionId": "string", "pinnedVersion": 0, "currentVersion": 0, "hasPackage": true, "submissionCount": 0, "config": null, "spec": null, "props": null, "maxPoints": 0, "maxUploadBytes": 0, "maxAttachments": 0, "maxSubmissions": 0 } ]}